"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultMessageRetryStrategy = void 0;
/**
 * Get the default message retry strategy. This strategy checks that the maximum
 * of finished attempts is not exceeded. The number can be defined in the
 * `config.settings.maxAttempts` variable and defaults to 5 attempts.
 */
const defaultMessageRetryStrategy = (config) => {
    var _a;
    const maxAttempts = (_a = config.settings.maxAttempts) !== null && _a !== void 0 ? _a : 5;
    return {
        shouldAttempt: (message) => message.finishedAttempts < maxAttempts,
        maxAttempts: () => maxAttempts,
    };
};
exports.defaultMessageRetryStrategy = defaultMessageRetryStrategy;
//# sourceMappingURL=message-retry-strategy.js.map